Commit 9c0bd308 authored by Peter Tönnies's avatar Peter Tönnies

Merge branch 'Feature/PT-updateCoreJS'

parents bfa6b88f 1d307a77
Pipeline #83592819 passed with stages
in 10 minutes and 22 seconds
......@@ -521,6 +521,7 @@ IE11, Safari and slightly older androids should work again, although I can only
- Groups in the menu are also keyboard navigatable !515 #314 @theolampert @NerdyProjects
- Enable autofill username/password for login !515 @theolampert @NerdyProjects
- Fix display of avatars for users without avatars !520 @theolampert @NerdyProjects
- updated corejs to v 3 !1043 @peter.toennies
## Refactoring
- removed global $g_body_class variable !451 @alangecker
......
......@@ -16,7 +16,7 @@
"bootstrap": "^4.3.1",
"bootstrap-vue": "2.0.0-rc.28",
"copy-webpack-plugin": "^5.0.4",
"core-js": "<3.0.0",
"core-js": "^3.2.1",
"corejs-typeahead": "^1.2.1",
"cropperjs": "^1.5.5",
"date-fns": "<2.0.0",
......
......@@ -59,7 +59,7 @@ module.exports = {
},
useBuiltIns: 'usage',
modules: 'commonjs',
corejs: '2.x'
corejs: '3'
}
]
]
......
......@@ -12,7 +12,7 @@ const glob = require('glob')
const dev = process.env.NODE_ENV !== 'production'
const assetsPath = dev ? resolve('../assets') : resolve('../assets')
const assetsPath = resolve('../assets')
const modulesJsonPath = join(assetsPath, 'modules.json')
const plugins = []
......@@ -118,6 +118,7 @@ module.exports = merge(webpackBase, {
sourceMap: true
})
],
runtimeChunk: true,
splitChunks: {
chunks: 'all',
name: dev,
......
......@@ -2130,11 +2130,16 @@ core-js-compat@^3.1.1:
browserslist "^4.6.6"
semver "^6.3.0"
core-js@<3.0.0, core-js@^2.4.0, core-js@^2.5.0:
core-js@^2.4.0, core-js@^2.5.0:
version "2.6.9"
resolved "https://registry.yarnpkg.com/core-js/-/core-js-2.6.9.tgz#6b4b214620c834152e179323727fc19741b084f2"
integrity sha512-HOpZf6eXmnl7la+cUdMnLvUxKNqLUzJvgIziQ0DiF3JwSImNphIqdGqzj6hIKyX04MmV0poclQ7+wjWvxQyR2A==
core-js@^3.2.1:
version "3.2.1"
resolved "https://registry.yarnpkg.com/core-js/-/core-js-3.2.1.tgz#cd41f38534da6cc59f7db050fe67307de9868b09"
integrity sha512-Qa5XSVefSVPRxy2XfUC13WbvqkxhkwB3ve+pgCQveNgYzbM/UxZeu1dcOX/xr4UmfUd+muuvsaxilQzCyUurMw==
core-util-is@1.0.2, core-util-is@~1.0.0:
version "1.0.2"
resolved "https://registry.yarnpkg.com/core-util-is/-/core-util-is-1.0.2.tgz#b5fd54220aa2bc5ab57aab7140c940754503c1a7"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment